Subject: Re: Clarifications

From: [email-masked] (Bob Ross)
Date: Mon, 2 Feb 98 11:02:17 PST

Atul:

Here are some additional responses.  This is also copied to the
IBIS reflector for information.

Best Regards,
Bob
Interconnectix BU

> Date: Fri, 30 Jan 1998 20:20:55 +0000 (GMT)
> From: "APT SOFTWARE AVENUES PVT.LTD" <[email-masked]>
> To: Bob Ross <bobr>
> Subject: Clarifications

> Hello Bob

> I had sent you a list of queries about a week back but have
> not heard from you. I hope that you did receive it. If not
> I can send it again.

> Meanwhile here are a couple more for you to look at.

> 1) In the IBIS Tree diagram for Version 3.0 (which you had
> given me), the [Model Selector] keyword is indicated within
> the [Component] scope. Now, a model selector is nothing
> but a "stand-in" for a model and models are defined at file
> scope. By this logic, shouldn't a [Model Selector] be at the
> file scope also ?

In my opinion the scope of [Model Selector] should remain under
[Component], just as shown in the Tree diagram.  This allows a
different [Component] in the same file which will access similar
models to have a different default model and different configurations.
For example, a different component may not offer a reduced set of
selections since one of the pins controling the selection may be NC.

> 2) Under DOS, as soon as a model has been parsed, the data structures 
> associated with the model are released to free the memory. I guess
> it is OK to keep those data structures around which will be needed
> to perform some checks after the complete file has been parsed,
> say, in the case of [Driver Schedule].

I am comfortable with this approach.  I do not see any problem.

> thanks for your help

> -- atul